IRremoteESP8266: SharpProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
SharpProtocol Union Reference

Native representation of a Sharp A/C message. More...

`#include <ir_Sharp.h>`

## Public Attributes

uint8_t | raw [kSharpAcStateLength]
| State of the remote in IR code form. More...
struct {
uint8_t pad [4]
uint8_t Temp:4
uint8_t Model:1
uint8_t __pad0__:3
uint8_t __pad1__:4
uint8_t PowerSpecial:4
uint8_t Mode:2
uint8_t __pad2__:1
uint8_t Clean:1
uint8_t Fan:3
uint8_t __pad3__:1
uint8_t TimerHours:4
uint8_t __pad4__:2
uint8_t TimerType:1
uint8_t TimerEnabled:1
uint8_t Swing:3
uint8_t __pad5__:5
uint8_t __pad6__:8
uint8_t Special:8
uint8_t __pad7__:2
uint8_t Ion:1
uint8_t __pad8__:1
uint8_t Model2:1
uint8_t __pad9__:3
uint8_t __pad10__:4
uint8_t Sum:4
}; |

## Detailed Description

Native representation of a Sharp A/C message.

## Member Data Documentation

## ◆ @76

struct { ... }

## ◆ __pad0__

uint8_t SharpProtocol::__pad0__

## ◆ __pad10__

uint8_t SharpProtocol::__pad10__

## ◆ __pad1__

uint8_t SharpProtocol::__pad1__

## ◆ __pad2__

uint8_t SharpProtocol::__pad2__

## ◆ __pad3__

uint8_t SharpProtocol::__pad3__

## ◆ __pad4__

uint8_t SharpProtocol::__pad4__

## ◆ __pad5__

uint8_t SharpProtocol::__pad5__

## ◆ __pad6__

uint8_t SharpProtocol::__pad6__

## ◆ __pad7__

uint8_t SharpProtocol::__pad7__

## ◆ __pad8__

uint8_t SharpProtocol::__pad8__

## ◆ __pad9__

uint8_t SharpProtocol::__pad9__

## ◆ Clean

uint8_t SharpProtocol::Clean

## ◆ Fan

uint8_t SharpProtocol::Fan

## ◆ Ion

uint8_t SharpProtocol::Ion

## ◆ Mode

uint8_t SharpProtocol::Mode

## ◆ Model

uint8_t SharpProtocol::Model

## ◆ Model2

uint8_t SharpProtocol::Model2

## ◆ pad

uint8_t SharpProtocol::pad[4]

## ◆ PowerSpecial

uint8_t SharpProtocol::PowerSpecial

## ◆ raw

uint8_t SharpProtocol::raw[kSharpAcStateLength]

State of the remote in IR code form.

## ◆ Special

uint8_t SharpProtocol::Special

## ◆ Sum

uint8_t SharpProtocol::Sum

## ◆ Swing

uint8_t SharpProtocol::Swing

## ◆ Temp

uint8_t SharpProtocol::Temp

## ◆ TimerEnabled

uint8_t SharpProtocol::TimerEnabled

## ◆ TimerHours

uint8_t SharpProtocol::TimerHours

## ◆ TimerType

uint8_t SharpProtocol::TimerType

The documentation for this union was generated from the following file:

- src/ir_Sharp.h